Skip to main content
POST
/
api
/
v2
/
agent
/
{agentId}
/
versions
Create Named Version
curl --request POST \
  --url 'https://api.vida.dev/api/v2/agent/{agentId}/versions?token=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Holiday-2025",
  "source": "staging"
}
'
{
  "success": true,
  "createdVersion": {
    "title": "Holiday-2025",
    "versionId": 1750195000123
  }
}

Documentation Index

Fetch the complete documentation index at: https://vida.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
query
required

Vida API Token

Path Parameters

agentId
string
required

Agent Id to snapshot

Body

application/json
title
string
required
Example:

"Holiday-2025"

source
enum<string>
default:staging
Available options:
staging,
default

Response

201 - application/json

Snapshot stored

success
boolean
Example:

true

createdVersion
object